package com.quansu.heifengwuliu.model;

import android.os.Parcel;
import android.os.Parcelable;

import com.quansu.heifengwuliu.config.ConfigMMKV;
import com.ysnows.base.inter.IModel;
import com.ysnows.base.inter.IUser;
import com.ysnows.base.utils.MMKVManager;

import org.jetbrains.annotations.Nullable;

public class User implements IUser, Parcelable , IModel {


    /**
     * uid : 185
     * name : 微信
     * mobile : 18353965350
     * avatar :
     * money : 0.00
     * type : 1
     * status : 1
     * openid : 011reE00052RfK1ZQ3100fcB1Q2reE0G
     * union_id : null
     * create_time : 2020-09-10 19:52:56
     * update_time : 1970-01-01 08:00:00
     * delete_time : null
     */
    public String uid;
    public String name;
    public String mobile;
    public String avatar;
    public String money;
    public String type;//1是司机 2是货主
    public String status;
    public String openid;
    public String union_id;
    public String create_time;
    public String update_time;
    public String delete_time;


    protected User(Parcel in) {
        uid = in.readString();
        name = in.readString();
        mobile = in.readString();
        avatar = in.readString();
        money = in.readString();
        type = in.readString();
        status = in.readString();
        openid = in.readString();
        union_id = in.readString();
        create_time = in.readString();
        update_time = in.readString();
        delete_time = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(uid);
        dest.writeString(name);
        dest.writeString(mobile);
        dest.writeString(avatar);
        dest.writeString(money);
        dest.writeString(type);
        dest.writeString(status);
        dest.writeString(openid);
        dest.writeString(union_id);
        dest.writeString(create_time);
        dest.writeString(update_time);
        dest.writeString(delete_time);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<User> CREATOR = new Creator<User>() {
        @Override
        public User createFromParcel(Parcel in) {
            return new User(in);
        }

        @Override
        public User[] newArray(int size) {
            return new User[size];
        }
    };

    @Nullable
    @Override
    public String avatar() {
        return avatar;
    }

    public User() {
    }


    @Nullable
    public static User get() {
        return MMKVManager.instance().decodeParcelable(ConfigMMKV.USER, User.class);
    }

    @Override
    public boolean save() {
        return MMKVManager.instance().encode(ConfigMMKV.USER, this);
    }

    public static boolean isLogin() {
        return get() != null;
    }





}
